Ext.ns('Nexts.grid', 'Nexts.grid.filter'); 

Nexts.grid.filter.NumericFilter = Ext.extend(Ext.ux.grid.filter.NumericFilter, {
	/** override **/
    getSerialArgs : function () {
		var args = [];
		var values = this.menu.getValue();
		for(var key in values) {
			args.push({type: 'numeric', comparison: key, value: values[key]});
		}
		var args = {};
		if (values.ge && values.le) {
			args = { 
				c: 'bt', 
				nv: values.ge,
				nv2: values.le
			};
		}
		else if (values.ge) {
			args = { 
				c: 'ge', 
				nv: values.ge
			};
		}
		else if (values.le) {
			args = { 
				c: 'le', 
				nv: values.le
			};
		}
		else if (values.eq) {
			args = { 
				c: 'eq', 
				nv: values.eq
			};
		}
		
		return args;
	}
});


